# CombineQuery Class Reference
[Dynamic query builder]

The results of queries can be combined using the set operations union, intersection, and difference. More...

Inheritance diagram for CombineQuery:
[legend]

List of all members.

## Static Public Member Functions

static | union ($left, $right)
static | unionBlock ()
static | unionAll ($left, $right)
static | unionAllBlock ()
static | intersect ($left, $right)
static | intersectBlock ()
static | intersectAll ($left, $right)
static | intersectAllBlock ()
static | except ($left, $right)
static | exceptBlock ()
static | exceptAll ($left, $right)
static | exceptAllBlock ()

## Public Attributes

const | UNION = 'UNION'
const | UNION_ALL = 'UNION ALL'
const | INTERSECT = 'INTERSECT'
const | INTERSECT_ALL = 'INTERSECT ALL'
const | EXCEPT = 'EXCEPT'
const | EXCEPT_ALL = 'EXCEPT ALL'

## Detailed Description

The results of queries can be combined using the set operations union, intersection, and difference.

query1 UNION [ALL] query2 .... query1 INTERSECT [ALL] query2 .... query1 EXCEPT [ALL] query2 ....

See also:
  http://www.postgresql.org/docs/current/interactive/queries-union.html

Definition at line 24 of file CombineQuery.class.php.

## Member Function Documentation

static CombineQuery::except | ( | $ | left,
|  | $ | right |
| ) |  |  | `[static]`

Returns:
  QueryCombination

Definition at line 110 of file CombineQuery.class.php.

static CombineQuery::exceptAll | ( | $ | left,
|  | $ | right |
| ) |  |  | `[static]`

Returns:
  QueryCombination

Definition at line 128 of file CombineQuery.class.php.

static CombineQuery::exceptAllBlock | ( |  | ) | `[static]`

Returns:
  QueryChain

Definition at line 136 of file CombineQuery.class.php.

References $args, and QueryChain::block().

Here is the call graph for this function:

static CombineQuery::exceptBlock | ( |  | ) | `[static]`

Returns:
  QueryChain

Definition at line 118 of file CombineQuery.class.php.

References $args, and QueryChain::block().

Here is the call graph for this function:

static CombineQuery::intersect | ( | $ | left,
|  | $ | right |
| ) |  |  | `[static]`

Returns:
  QueryCombination

Definition at line 74 of file CombineQuery.class.php.

static CombineQuery::intersectAll | ( | $ | left,
|  | $ | right |
| ) |  |  | `[static]`

Returns:
  QueryCombination

Definition at line 92 of file CombineQuery.class.php.

static CombineQuery::intersectAllBlock | ( |  | ) | `[static]`

Returns:
  QueryChain

Definition at line 100 of file CombineQuery.class.php.

References $args, and QueryChain::block().

Here is the call graph for this function:

static CombineQuery::intersectBlock | ( |  | ) | `[static]`

Returns:
  QueryChain

Definition at line 82 of file CombineQuery.class.php.

References $args, and QueryChain::block().

Here is the call graph for this function:

static CombineQuery::union | ( | $ | left,
|  | $ | right |
| ) |  |  | `[static]`

Returns:
  QueryCombination

Definition at line 38 of file CombineQuery.class.php.

static CombineQuery::unionAll | ( | $ | left,
|  | $ | right |
| ) |  |  | `[static]`

Returns:
  QueryCombination

Definition at line 56 of file CombineQuery.class.php.

static CombineQuery::unionAllBlock | ( |  | ) | `[static]`

Returns:
  QueryChain

Definition at line 64 of file CombineQuery.class.php.

References $args, and QueryChain::block().

Here is the call graph for this function:

static CombineQuery::unionBlock | ( |  | ) | `[static]`

Returns:
  QueryChain

Definition at line 46 of file CombineQuery.class.php.

References $args, and QueryChain::block().

Here is the call graph for this function:

## Member Data Documentation

const CombineQuery::EXCEPT = 'EXCEPT'

Definition at line 32 of file CombineQuery.class.php.

Referenced by QueryChain::except().

const CombineQuery::EXCEPT_ALL = 'EXCEPT ALL'

Definition at line 33 of file CombineQuery.class.php.

Referenced by QueryChain::exceptAll().

const CombineQuery::INTERSECT = 'INTERSECT'

Definition at line 29 of file CombineQuery.class.php.

Referenced by QueryChain::intersect().

const CombineQuery::INTERSECT_ALL = 'INTERSECT ALL'

Definition at line 30 of file CombineQuery.class.php.

Referenced by QueryChain::intersectAll().

const CombineQuery::UNION = 'UNION'

Definition at line 26 of file CombineQuery.class.php.

Referenced by QueryChain::union().

const CombineQuery::UNION_ALL = 'UNION ALL'

Definition at line 27 of file CombineQuery.class.php.

Referenced by QueryChain::unionAll().

The documentation for this class was generated from the following file:

- core/OSQL/CombineQuery.class.php